Get agent memories
curl --request GET \
--url https://api.example.com/api/memories/agent/{agent_id}import requests
url = "https://api.example.com/api/memories/agent/{agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/memories/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/memories/agent/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/memories/agent/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/memories/agent/{agent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/memories/agent/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"agent_id": 123,
"session_id": 123,
"strength": 123,
"relevance_score": 123,
"access_count": 123,
"formed_at": 123,
"last_accessed": 123,
"context_hash": 123,
"context": {},
"outcome": "<string>",
"memory_type": "<string>"
}Memory
Get agent memories
Retrieve long-term memories for a specific agent.
GET
/
api
/
memories
/
agent
/
{agent_id}
Get agent memories
curl --request GET \
--url https://api.example.com/api/memories/agent/{agent_id}import requests
url = "https://api.example.com/api/memories/agent/{agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/memories/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/memories/agent/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/memories/agent/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/memories/agent/{agent_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/memories/agent/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"agent_id": 123,
"session_id": 123,
"strength": 123,
"relevance_score": 123,
"access_count": 123,
"formed_at": 123,
"last_accessed": 123,
"context_hash": 123,
"context": {},
"outcome": "<string>",
"memory_type": "<string>"
}Path parameters
integer
required
Agent identifier (
u64).Query parameters
integer
default:"10"
Maximum number of memories to return. Max:
1000.Response
Returns an array ofMemoryResponse objects.
integer
Memory identifier.
integer
Agent that formed the memory.
integer
Session identifier.
number
Memory strength (
0.0–1.0).number
Relevance score (
0.0–1.0).integer
Number of times the memory has been accessed.
integer
Formation timestamp (nanoseconds since Unix epoch).
integer
Last access timestamp.
integer
Context fingerprint.
string
Episode outcome description.
string
One of:
"Episodic", "Working", "Semantic", "Negative".[
{
"id": 789,
"agent_id": 1,
"session_id": 5001,
"strength": 0.92,
"relevance_score": 0.88,
"access_count": 3,
"formed_at": 1738425600000000000,
"last_accessed": 1738512000000000000,
"context_hash": 12345678901234,
"context": { "..." : "..." },
"outcome": "Success",
"memory_type": "Episodic"
}
]
